#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,256,384,448,512,576,896,1024,1088,1152,1216
 * N : 25,128,192,256,384,448,512,576,896,1024,1088,1152,1216
 * NB : 7,16,16,28,24,16,16,64,64,64,64,64,80
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 7; \
   else if ((n_) < 224) (nb_) = 16; \
   else if ((n_) < 320) (nb_) = 28; \
   else if ((n_) < 416) (nb_) = 24; \
   else if ((n_) < 544) (nb_) = 16; \
   else if ((n_) < 1184) (nb_) = 64; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
